Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/cases/$CASE_ID/payment-links \
-H "X-LendEasy-Voice-Task-Token: $DISPATCH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"operationId": "2f0c7f1e-6f3b-4b1a-9a2c-0f8d1e7b4c33",
"linkGrantRef": "lg-771",
"purpose": "PAST_DUE",
"contactPointRef": "phone-1",
"smsConsent": {
"granted": true ,
"evidenceRef": "call-transcript-731#00: 04 : 12 "
}
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/cases/${caseId}/payment-links` , {
method: "POST" ,
headers: { "X-LendEasy-Voice-Task-Token" : dispatchToken, "Content-Type" : "application/json" },
body: JSON.stringify({
"operationId": "2f0c7f1e-6f3b-4b1a-9a2c-0f8d1e7b4c33",
"linkGrantRef": "lg-771",
"purpose": "PAST_DUE",
"contactPointRef": "phone-1",
"smsConsent": {
"granted": true ,
"evidenceRef": "call-transcript-731#00: 04 : 12 "
}
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/cases/{case_id}/payment-links" ,
headers={"X-LendEasy-Voice-Task-Token" : dispatch_token},
json={
"operationId": "2f0c7f1e-6f3b-4b1a-9a2c-0f8d1e7b4c33",
"linkGrantRef": "lg-771",
"purpose": "PAST_DUE",
"contactPointRef": "phone-1",
"smsConsent": {
"granted": true ,
"evidenceRef": "call-transcript-731#00: 04 : 12 "
}
},
)200 400 401 404 409 422
{
"operationId": "2f0c7f1e-6f3b-4b1a-9a2c-0f8d1e7b4c33",
"status": "COMPLETED",
"paymentLinkRef": "plk-4f21c8",
"sentAt": "2026-09-08T19: 07 :41Z",
"expiresAt": "2026-09-11T19: 07 :41Z"
}{
"error": "The callback body is invalid."
}{
"error": "Invalid or missing connector authority."
}{
"error": "No visible voice dispatch exists."
}{
"error": "The callback conflicts with current dispatch state."
}{}